%define upstream_version 20100531

Name:           hyphen-lt
Version:        0.%{upstream_version}
Release:        %mkrel 5
Summary:        Lithuanian hyphenation rules
License:        LPPL
Group:          Text tools
URL:            http://tug.org/tex-hyphen
Source0:        http://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-lt.tex
Patch0:         hyphen-lt-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-lt

%description
Lithuanian hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-lt.tex .
%patch0 -p0 -b .clean

%build
substrings.pl hyph-lt.tex hyph_lt_LT.dic UTF-8
echo "Created with substring.pl by substrings.pl hyph-lt.tex hyph_lt_LT.dic UTF-8" > README
echo "Original in-line credits were:" >> README
echo "" >> README
head -n 45 hyph-lt.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_lt_LT.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.20100531-5.mga4
+ Revision: 523039
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20100531-4.mga3
+ Revision: 406246
- requires locales-hyphen-lt (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20100531-3.mga3
+ Revision: 353962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194656
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70107
- fix group
- imported package hyphen-lt


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100531-1
- latest version

* Mon Feb 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100203-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040110-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040110-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 23 2007 Caolán McNamara <caolanm@redhat.com> - 0.20040110-1
- initial version
